Subject: Re: bug#7632: 23.2.91; url-retrieve doesn't read authinfo.gpg file

From: Ted Zlatanov <[email-masked]>
Date: Mon, 28 Dec 2015 17:12:04 -0500

On Fri, 25 Dec 2015 23:06:55 +0100 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Thierry Volpiatto <[email-masked]> writes:
>> actually it seem url-retrieve doesn't read .authinfo.gpg file.
>> I am always prompt for login/password.
>> 
>> My entry in .authinfo is:
>> machine mail.google.com port https login xx password xx
>> I also tried:(without succes)
>> machine mail.google.com:443 port https login xx password xx

LI> I think this has probably been fixed now?  Looking at the code, it seems
LI> to use auth-source for all this, so it should get the .authinfo.gpg file
LI> etc.

LI> So I'm closing this bug report.  If this still doesn't work, please
LI> reopen.

Sorry I missed this bug report.

>From (info "(auth) Help for users"):

   For url-auth authentication (HTTP/HTTPS), you need to put this in
your netrc file:

     machine yourmachine.com:80 port http login testuser password testpass

   This will match any realm and authentication method (basic or digest)
over HTTP.  HTTPS is set up similarly.  If you want finer controls,
explore the url-auth source code and variables.

Thierry, this should work for you. If not, it would help if you set
`auth-source-debug' to 'trivia and show the output in *Messages*.

Ted